package com.gic.haoban.manage.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.api.dto.QywxErrorLogDTO;
import com.gic.haoban.manage.api.dto.qdto.QywxErrorLogListQDTO;
import com.gic.haoban.manage.api.service.QywxErrorLogApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mozhu
 * @date 2022/4/19 14:27
 */
@RestController
@RequestMapping("/qywx-error")
public class QywxErrorLogController extends WebBaseController {

    @Autowired
    private QywxErrorLogApiService qywxErrorLogApiService;

    /**
     * 企微报错列表
     * @param qywxErrorLogListQDTO
     * @return
     */
    @RequestMapping(value = "qywx-error-list", method = RequestMethod.POST)
    public RestResponse wxEnterpriseListNew(QywxErrorLogListQDTO qywxErrorLogListQDTO) {
        Page<QywxErrorLogDTO> qywxErrorLogDTOPage = qywxErrorLogApiService.queryListByPage(qywxErrorLogListQDTO);
        return RestResponse.successResult(qywxErrorLogDTOPage);
    }
}
