package com.gic.haoban.manage.service.errorcode;

/**
 * Created by fudh on 2018/3/4.
 */
public enum HaoBanErrCode {

    ERR_0001("10100001", "参数没有传"),
    ERR_10012("10012","企业微信不存在"),
    ;

    private String code;
    private String msg;

    HaoBanErrCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static HaoBanErrCode getValue(String code) {
        for (HaoBanErrCode sec : HaoBanErrCode.values()) {
            if (code == sec.getCode()) {
                return sec;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
